
main#inicio{
    
    margin: 0;
    min-height: 100vh;
    overflow: hidden;
    padding: 0;
    position: relative;
    width: 100%;
}

#img_portada img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* recorta y centra sin deformar */
  display: block;
}


section#logo{
    display: grid;
    margin: 15px 0 15px 0;
    place-items: center;
    position: relative;
    width: 100%;
    z-index: 1;
}

section#logo div#soft{
    display: none;
    align-items: center;
    flex-direction: column;
    margin: 15px 0 0 0;
}

    div#soft p{
        margin: 0;
        color: #00324D;
    }

    p#description{
        font-weight: 400;
    }

    figure#img{
        width: 180px;
        margin: 12px 0 0 0;
    }



section#info{
    /* height: 60vh; */
    left: 0;
    padding: 0 1.8em;
    width: 100%;
    z-index: 2;
}

    form#entrar{
        align-items: center;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    
    form#entrar input{
        border: solid 1px var(--color-black);
        border-radius: 30px;
        font-family: 'Barlow', sans-serif;
        font-size: 18px;
        font-weight: 400;
        margin: 0;
        padding: 1em 1em 1em 45px;
        position: relative;
        width: 100%;
        z-index: 2; 
    }


#usuario_correo::placeholder{
    font-size: 16px;
    color: var(--color-black);
    font-family: "Work Sans", sans-serif;
}

div#parte1{
        width: 100%;
         display: flex;
        flex-direction: column;
        align-items: center;
    }
    div#parte2{
        width: 100%;
         display: flex;
        flex-direction: column;
        align-items: center;
    }

/* #contrasena::placeholder{
    font-size: 16px;
    color: #385C57;
    font-family: "Work Sans", sans-serif;
} */

p#error{
   color: var(--color-error);
   font-weight: 600;
   font-size: 16px;
   margin: 10px 0 25px 0;
   text-align: center;
}

a#btn_registro{
    width: 60%;
    display: flex;
    justify-content: center;
    margin: 20px 15px;
    border: solid 1px var(--color-black);
    border-radius: 30px;
    padding: 8px 17px;
    text-decoration: none;
}

    #btn_registro p{
        color: var(--color-black);
        font-size: 17px;
        font-weight: 200;
        margin: 0;
    }

div#recuperar_pssw{
    width: 90%;
    margin: 0 0 25px 20px;
}

    div#recuperar_pssw a{
        text-decoration: none;
        color:  var(--color-black);
        font-size: 14px;
        font-weight: 200;
        margin: 8px 0;
    }

footer{
    position: absolute;
    bottom: 0;
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 3px;
}

footer p{
    margin: 0 0 2px 0;
    font-size: 10px;
    font-weight: 400;
    color: var(--color-black);
    text-align: center;
}

/* -----------------------------------------clases----------------------------------- */

.campos{
    margin: 12px;
    position: relative;
    width: 90%;

}

    .campos > i{
        border-radius: 10%;
        color: var(--color-primary);
        font-size: 22px;
        left: 7px;
        padding: 7px;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        z-index: 3;
}

.btn_entrar{
    background-color: var(--color-primary);
    border: none;
    border-radius: 24px;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    padding: 12px 17px;
    width: 68%;
}
@media screen and (max-width: 700px) {
    div#img_portada{
        display: none;
    }
    section#logo{
        height: 30vh;
    }
    
     div#parte1{
        height: 30vh;
        
    }

    div#parte2{
        height: 30vh;
       
    }
}


@media (min-width: 700px) and (max-width: 1000px) {
  #img_portada {
    height: 20vh; /* solo ocupa el 20% de la altura de la pantalla */
    overflow: hidden; /* oculta lo que sobra */
  }
  section#logo{
        height: 20vh;
    }

   div#parte1{
        height: 30vh;
       
        width: 60%;
        
    }

    div#parte2{
        height: 20vh;
        width: 60%;
       
    }

}

@media screen and (min-width:1000px){
    main#inicio{
        display: flex;
        place-items: center;
       
    }

     div#img_portada{
        width: 50%;
        margin: 20px;
        padding: 20px;
    }

    div#principal{
        position: relative;
        width: 50%;
        display: flex;
        flex-direction: column;
    }

    section#logo{
        display: flex;
        flex-basis: 30%;
        flex-direction: column;
        margin: 50px 0;

    }
    section#logo div#soft{
        display: flex;
    }

        
    section#info{
        flex-basis: 70%;
    }

    div#parte1{
        width: 70%;
    }

    div#parte2{
        width: 65%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #img_portada img{
        width: 90%;
    }
    figure#portada{
        display: flex;
        justify-content: flex-end;
    }

    /* form#entrar input{
        font-size: 25px;
    }
    .btn_entrar{
        font-size: 25px;
    }
    a#btn_registro{
        font-size: 25px;
    }
    div#recuperar_pssw a{
        font-size: 18px;
    }
    #btn_registro p{
        font-size: 25px;
    }
    
    
     */
    
}

